Loading...
Searching...
No Matches
linearAlgorithms-inst.h File Reference

Templated algorithms that are used in multiple places in linear. More...

Go to the source code of this file.

## Classes

struct | gtsam::internal::linearAlgorithms::OptimizeData
struct | gtsam::internal::linearAlgorithms::OptimizeClique< CLIQUE >
| Pre-order visitor for back-substitution in a Bayes tree. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class BAYESTREE>
VectorValues | gtsam::internal::linearAlgorithms::optimizeBayesTree (const BAYESTREE &bayesTree)

## Detailed Description

Templated algorithms that are used in multiple places in linear.

Author
  Richard Roberts